> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List DataSets

> Get a list of all DataSets in your Domo instance.



## OpenAPI

````yaml /openapi/platform/dataset.yaml GET /v1/datasets
openapi: 3.0.0
info:
  title: DataSet API
  description: >
    ## The DataSet Object


    ---


    The DataSet API allows you to create, replace, append to, export, and manage
    DataSets, as well as manage data permissions for DataSets within Domo. Most
    of its calls return a DataSet object.



    <!-- theme: info -->


    > #### Best Practice

    >

    > The DataSet API should be used to create and update small DataSets that
    occasionally need their data updated. For creating and updating massive,
    constantly changing, or rapidly growing DataSets, the Stream API is
    recommended.


    <!-- theme: info -->


    > #### Permissions

    >

    > To update or write to a DataSet via API, you must have the Manage DataSet
    grant enabled.


    ### Attributes


    | Property Name | Type | Description |

    | --- | --- | --- |

    | id | String | ID of the DataSet |

    | name | String | Name of the DataSet |

    | description | String | Description of DataSet |

    | owner.id | String | ID of the owner |

    | owner.name | String | Name of the owner |

    | columns | Number | The number of columns currently in the DataSet |

    | createdAt | String | An ISO-8601 representation of the creation date of
    the DataSet |

    | updatedAt | String | AN ISO-8601 representation of the time the DataSet
    was last updated |

    | dataCurrentAt | String | An ISO-8601 representation of the time the
    DataSet was current |

    | schema | Object | The current schema associated with this DataSet |

    | schema.columns | Array | Array of columns in the DataSet |

    | schema.columns\[\].name | String | Column name in the DataSet schema |

    | schema.columns\[\].type | String | Column type in the DataSet schema.
    Valid types are STRING, DECIMAL, LONG, DOUBLE, DATE, DATETIME. |

    | pdpEnabled | Boolean | Indicates if PDP \[Personalized Data Permission\]
    policy filtering on data is active on this DataSet |

    | policies | Array | List of policies attached to DataSet |

    | policies\[\].filters\[\].column | String | Name of the column to filter on
    |

    | policies\[\].filters\[\].not | Boolean | Determines if NOT is applied to
    the filter operation |

    | policies\[\].filters\[\].operator | String | Matching operator (EQUALS) |

    | policies\[\].filters\[\].values\[\] | String | Values to filter on |

    | policies\[\].groups | Array | List of group IDs the policy applies to |

    | policies\[\].id | Number | ID of the Policy |

    | policies\[\].name | String | Name of the Policy |

    | policies\[\].type | String | Type of policy (user or system) |

    | policies\[\].users | Array | List of user IDs the policy applies to |

    | rows | Number | The number of rows currently in the DataSet |
  version: 1.0.0
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/datasets:
    get:
      summary: List DataSets
      description: "Get a list of all DataSets\_in your Domo instance."
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
          description: >-
            The amount of DataSets to return in the list. The default is 50 and
            the maximum is 50.
          example: 3
        - name: offset
          in: query
          schema:
            type: integer
          description: >-
            The offset of the DataSet ID to begin list of users within the
            response.
          example: 0
        - name: sort
          in: query
          schema:
            $ref: '#/components/schemas/DataSourceListOrderBy'
          description: The order to return the DataSets in.
          example: createdAt
        - schema:
            type: string
          in: query
          name: nameLike
          description: >-
            If included, will limit the list of DataSets to those with names
            that contain the string passed in. `nameLike` is case insensitive.
      responses:
        '200':
          description: >-
            Returns all DataSet objects that meet argument criteria from
            original request.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    rows:
                      type: integer
                    columns:
                      type: integer
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                    description:
                      type: string
                x-examples:
                  Example 1:
                    - id: 08a061e2-12a2-4646-b4bc-20beddb403e3
                      name: >-
                        Questions regarding Euclid's Fundamental Theorem of
                        Arithmetic
                      rows: 1
                      columns: 6
                      createdAt: '2015-12-10T07:06:14Z'
                      updatedAt: '2016-02-29T20:56:20.567Z'
                    - id: 317970a1-6a6e-4f70-8e09-44cf5f34cf44
                      name: Ideas Regarding Physics
                      description: Notes
                      rows: 1289280
                      columns: 9
                      createdAt: '2013-09-24T20:51:48Z'
                      updatedAt: '2016-02-29T20:56:07.619Z'
                    - id: cc22901d-c856-47c5-89a3-5228a4fa5663
                      name: Rene Descartes Mentions
                      description: ''
                      rows: 194723231
                      columns: 12
                      createdAt: '2014-05-01T22:01:17Z'
                      updatedAt: '2016-02-29T20:56:05.034Z'
                    - id: 36ea3481-5b90-4181-a4a8-4d9388e85d9e
                      name: Symbolic Logic
                      description: ''
                      rows: 349660
                      columns: 12
                      createdAt: '2014-11-26T18:29:09Z'
                      updatedAt: '2016-02-29T20:55:50.337Z'
              examples:
                Example 1:
                  value:
                    - id: 08a061e2-12a2-4646-b4bc-20beddb403e3
                      name: >-
                        Questions regarding Euclid's Fundamental Theorem of
                        Arithmetic
                      rows: 1
                      columns: 6
                      createdAt: '2015-12-10T07:06:14Z'
                      updatedAt: '2016-02-29T20:56:20.567Z'
                    - id: 317970a1-6a6e-4f70-8e09-44cf5f34cf44
                      name: Ideas Regarding Physics
                      description: Notes
                      rows: 1289280
                      columns: 9
                      createdAt: '2013-09-24T20:51:48Z'
                      updatedAt: '2016-02-29T20:56:07.619Z'
                    - id: cc22901d-c856-47c5-89a3-5228a4fa5663
                      name: Rene Descartes Mentions
                      description: ''
                      rows: 194723231
                      columns: 12
                      createdAt: '2014-05-01T22:01:17Z'
                      updatedAt: '2016-02-29T20:56:05.034Z'
                    - id: 36ea3481-5b90-4181-a4a8-4d9388e85d9e
                      name: Symbolic Logic
                      description: ''
                      rows: 349660
                      columns: 12
                      createdAt: '2014-11-26T18:29:09Z'
                      updatedAt: '2016-02-29T20:55:50.337Z'
components:
  schemas:
    DataSourceListOrderBy:
      type: string
      enum:
        - name
        - nameDescending
        - lastTouched
        - lastTouchedAscending
        - lastUpdated
        - lastUpdatedAscending
        - createdAt
        - createdAtAscending
        - cardCount
        - cardCountAscending
        - cardViewCount
        - cardViewCountAscending
        - errorState
        - errorStateDescending
        - dataSourceId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````